<?php
/*
script:	Ajax availability calendar
version: 2.0
author: Chris Bolson
web:	http://www.cbolson.com/
date:	2008-03-23

file: 	index.php
use: 	show calendar
inst:	accepted vars:
		$_REQUEST["id_item"] 	- id of the apartment, hotel, campsite etc for caledar
		$_REQUEST["lang"]		-	desired language
		$_REQUEST["months_to_show"]	- number of months to show in calendar
*/

//	clear cache to ensure data is up to date
header("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past

//	INLCUDE FILES 
$files=array();
$files[]	=	"./includes/config.inc.php";			#	common vars
$files[]	=	"./includes/db_connect.inc.php";		#	connect to db
$files[]	=	"./includes/functions.inc.php";		#	functions

foreach($files as $the_file){
	if(!file_exists($the_file)) die("<b>".$the_file."</b> not found");
	else		require_once($the_file);
}


//	define default constants

//	id of item to modify - this should be your id for the hotel/apartment/etc
if(isset($_REQUEST["id_item"])) 		define("ID_ITEM",	$_REQUEST["id_item"]);	#	id sent via  url, form session etc
else									define("ID_ITEM",	2);						#	default used for demo

//	define lang to use
if(isset($_REQUEST["lang"]))			define("LANG",		$_REQUEST["lang"]);		#	lang sent by url, form session etc
else									define("LANG",		DEFAULT_LANG);			#	default lang defined in config.inc.php

//	 define number months to show
if(isset($_REQUEST["months_to_show"])) 	define("MONTHS_TO_SHOW",	$_REQUEST["months_to_show"]);
else									define("MONTHS_TO_SHOW",	3);



//	 inclue lang file (after others to get vars)
$the_file=DIR_LANG.LANG.".lang.php";
if(!file_exists($the_file)) die("<b>".$the_file."</b> not found");
else		require_once($the_file);

//	check table exists
//	NOTE - you can remove this check once you have the database calendar table created
if(!mysql_is_table(T_BOOKINGS)){
	echo '
	<center>
	<h1>Database table <u>'.T_BOOKINGS.'</u> does not exist</h1>
	<br>Before you can run this script you need to create the availability table in your data base.
	<br><br><a href="install/index.php">CREATE AVAILABILITY TABLE IN DATABASE</a>
	</center>
	';
	exit;
}




//	get bookings for this month for this advert
$booked_days	=	array();
$sql="SELECT * FROM ".T_BOOKINGS." WHERE id_item=".ID_ITEM."";
if(!$res=mysql_query($sql))	die("ERROR checking id item availability dates");
while($row=mysql_fetch_array($res)){
	$booked_days[$row["the_date"]]=$row["state"];
}

//	 create month select list
for($k=1; $k<=12; $k++){
	$list_months_to_show.='<option value="'.$k.'"';
	if($k==MONTHS_TO_SHOW) $list_months_to_show.=' selected';	# mark selected number of months
	$list_months_to_show.='>'.$k.'</option>';
}


//	now 12 months view
$cur_year	=	date('Y');
$cur_month	=	date('m');
$cur_day	=	date('d');

$the_months	=	array();
$k			=	$cur_month;
$j			=	0;

while($j<MONTHS_TO_SHOW){
	$this_month=sprintf("%02s",$k);
	$the_months[$this_month]=array("year"=>$cur_year,"month"=>$this_month);
	$j++;
	if($k==12){
		//	start new year and reset counter to 1 (jan)
		$cur_year=$cur_year+1;
		$k=1;
	}else{
		$k++;
	}
}

//	loop through months to draw calendar
$j=1;
$cal_months='';
foreach($the_months as $key=>$val){
	$cal_months.='<td valign="top" align="center">'.draw_cal(ID_ITEM,$val["month"], $val["year"], $booked_days,1).'</td>';
	if (($j % 3) == 0)$cal_months.="</tr><tr>";
	++$j;
}



//	 define languages for select box (remove if not required)
$languages=array("en","es");
$list_lang='';
foreach($languages as $val){
	if($val==LANG) 	$selected="selected";	# mark as selected option
	else			$selected="";
	$list_lang.='<option value="'.$val.'" '.$selected.'>'.$val.'</option>';
}


echo '
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
	<title>'.PAGE_TITLE.'</title>
	<script type="text/javascript" src="'.DIR_JS.'sack.js"></script>
	<script type="text/javascript" src="'.DIR_JS.'update_cal.js"></script>
	<link rel="stylesheet" href="'.DIR_CSS.'calendar.css" type="text/css" media="screen">
</head>
<body>
<div id="wrapper">
	<h2>'.$lang["title"].'</h2>
	'.$lang["inst"].'
	<!-- optional elements -->
	<form method="get">
	<table cellpadding="1" cellspacing="1" width="100%" align="center">
		<tr>
			<td class="side">'.$lang["num_months"].':</td>
			<td class="data">
				<select name="months_to_show" onchange="this.form.submit()">
					'.$list_months_to_show.'
				</select>
			</td>
		</tr>
		<tr>
			<td class="side">'.$lang["language"].'</td>
			<td class="data">
				<select name="lang" onchange="this.form.submit();">
					'.$list_lang.'
				</select>
			</td>
		</tr>
	</table>
	</form>
	<!-- end optional elements -->
	<br>
	<table cellpadding="1" cellspacing="1" width="100%" align="center">
		'.$cal_months.'
		<tr>
			<td colspan="3" align="center">
				<br>
				<small>
				<img src="'.DIR_IMAGES.'demo_off.png"> '.$lang["key_available"].'
				&nbsp;<img src="'.DIR_IMAGES.'demo_on.png"> '.$lang["key_booked_all"].'
				&nbsp;<img src="'.DIR_IMAGES.'demo_am.png"> '.$lang["key_booked_am"].'
				&nbsp;<img src="'.DIR_IMAGES.'demo_pm.png"> '.$lang["key_booked_pm"].'
				</small>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				calendar script by <a href="http://www.cbolson.com">cbolson.com</a>
			</td>
		</tr>
	</table>
</div>
</body>
</html>
';

?>